package Catalyst::Engine::Null;

use strict;
use base 'Catalyst::Engine';
use Catalyst::Utils;
use NEXT;
use URI;

sub finalize_body  { }
sub finalize_cookies  { }
sub finalize_error  { }
sub finalize_read  { }
sub finalize_uploads  { }

sub prepare_request  { }
sub prepare_query_parameters  { $_[0]->SUPER::prepare_query_parameters( $_[1], '') }
sub prepare_read  { }
sub prepare_uploads  { }
sub prepare_path {
    print STDERR "prepare_path\n";
    my ($self,$c)=@_;
    $c->request->uri(URI->new('/'));
    $c->request->base(URI->new('/'));
}

sub read  { '' };
sub read_chunk  { '' }

sub write  { }

1;

